* {
	padding: 0px;
	margin: 0px;
	border: 0px;
}

*,
*:before,
*:after {
	box-sizing: border-box;
}

html,
body {
	height: 100%;
	min-width: $minWidth + px;
}

body {
	color: $colorDark;
	line-height: 1;
	font-family: $fontFamily;
	font-size: $fontSize;
	// text-rendering: optimizeLegibility;
	-ms-text-size-adjust: 100%;
	-moz-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

  .lock & {
		overflow: hidden;
		touch-action: none;
	}

	// Сайт загружен
	.loaded & {
		//
	}
}

input,
button,
textarea {
	font-family: $fontFamily;
	font-size: inherit;
}

button {
	cursor: pointer;
	color: inherit;
	background-color: inherit;
}

a {
	color: inherit;
}

a:link,
a:visited {
	text-decoration: none;
}

a:hover {
	text-decoration: none;
}

ul li {
	list-style: none;
}

img {
	vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: inherit;
	font-size: inherit;
}

@if ($responsiveType == 1) {
	// Отзывчивая
	.container {
		@if ($maxWidthContainer > 0) {
			max-width: rem($maxWidthContainer);
			box-sizing: content-box;
			margin: 0 auto;
		}
		@if ($containerPadding > 0) {
			padding: 0 rem(math.div($containerPadding, 2));
		}
	}
} @else {
	// По брейк-поинтам
	.container {
		margin: 0 auto;
		@if ($maxWidthContainer > 0) {
			max-width: rem($maxWidthContainer);
			box-sizing: content-box;
		} @else {
			@if ($containerPadding > 0) {
				padding: 0 rem(math.div($containerPadding, 2));
			}
		}
		@media (max-width: $pc) {
			max-width: rem(970);
		}
		@media (max-width: $tablet) {
			max-width: rem(750);
		}
		@media (max-width: $mobile) {
			max-width: none;
			@if ($containerPadding > 0 and $maxWidthContainer > 0) {
				padding: 0 rem(math.div($containerPadding, 2));
			}
		}
	}
}

.wrapper {
	min-height: 100%;
	display: flex;
	flex-direction: column;
	overflow: hidden;

	// Прижимаем footer
	> main {
		flex: 1 1 auto;
	}
	
	// Фикс для слайдеров
	> * {
		min-width: 0;
	}
}